PROBE::NETFILTER.B(3stap)

NAME
probe::netfilter.bridge.post_routing - - Called before a bridging packet hits the wire

SYNOPSIS

netfilter.bridge.post_routing

VALUES

pf
    Protocol family -- always “bridge”

outdev
    Address of net_device representing output device, 0 if unknown

indev
    Address of net_device representing input device, 0 if unknown

llcproto_stp
    Constant used to signify Bridge Spanning Tree Protocol packet

nf_stolen
    Constant used to signify a 'stolen' verdict

br_fd
    Forward delay in 1/256 secs

br_cost
    Total cost from transmitting bridge to root

br_mac
    Bridge MAC address

data_hex
    A hexadecimal string representing the packet buffer contents

nf_accept
    Constant used to signify an 'accept' verdict

length
    The length of the packet buffer contents, in bytes

nf_repeat
    Constant used to signify a 'repeat' verdict

indev_name
    Name of network device packet was received on (if known)

br_htime
    Hello time in 1/256 secs

br_type
    BPDU type

nf_drop
    Constant used to signify a 'drop' verdict

data_str
    A string representing the packet buffer contents

br_rmac
    Root bridge MAC address

br_vid
    Protocol version identifier

br_bid
    Identity of bridge

br_rid
    Identity of root bridge

llcpdu
    Address of LLC Protocol Data Unit

br_flags
    BPDU flags

nf_queue
    Constant used to signify a 'queue' verdict

nf_stop
    Constant used to signify a 'stop' verdict

br_poid
    Port identifier

br_msg
    Message age in 1/256 secs

protocol
    Packet protocol

brhdr
    Address of bridge header

outdev_name
    Name of network device packet will be routed to (if known)

br_max
    Max age in 1/256 secs

br_prid
    Protocol identifier

SEE ALSO
tapset::netfilter(3stap)